#include <stdio.h>
#include <xf86drm.h>
#include <xf86drmMode.h>

int main(void)
{
	int fd, ret;
	drmVBlank vbl;

	fd = drmOpen("vboxvideo", NULL);
	if (fd < 0) {
		fputs("\tfailed.\n", stderr);
		return 1;
	}

	vbl.request.type = DRM_VBLANK_RELATIVE;
	vbl.request.sequence = 0;
	fprintf(stderr, "drmWaitVBlank(%d, {.request = {.type=%#x, .sequence=%d}})\n", fd, vbl.request.type, vbl.request.sequence);
	ret = drmWaitVBlank(fd, &vbl); /* killed here, dmesg reports oops */
	if (ret != 0) {
		fprintf(stderr, "drmWaitVBlank (relative) failed ret: %i\n", ret);
		return 1;
	}

	return 0;
}
